Bug 161527 - /proc/cpuinfo reports cache size is "0"
/proc/cpuinfo reports cache size is "0"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Maly
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-23 19:12 EDT by Terry J Holt
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-28 14:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry J Holt 2005-06-23 19:12:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
H/W: Dell Precision Workstation 370n, Pentium 4, 3.80GHz, Intel EM64T1M L2 Cache, 800FSB

2GB 533Mhz DDR2 ECC SDRAM (4X512)

Contents of file /proc/cpuinfo indicates cache size equal 0 :
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Pentium(R) 4 CPU 3.60GHz
stepping        : 3
cpu MHz         : 3591.124
cache size      : 0 KB
physical id     : 0
siblings        : 1
runqueue        : 0
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 3
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm lm
bogomips        : 7156.53


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cat /proc/cpuinfo
2.
3.
  

Additional info:
Comment 1 Ernie Petrides 2005-06-27 14:29:14 EDT
Please provide the kernel version that you are using.  A fix went into U5
(for Intel Irwindale processors) to add table entries for cache descriptor
codes 0x7D and 0x7F.  If you happen to know the cache descriptor code for
the processor(s) in your system, that would also be helpful.  (The related
code is in init_intel() in arch/x86_64/kernel/setup.c.)

Thanks in advance.
Comment 3 Neil Horman 2005-06-27 15:15:54 EDT
If that patch, doesn't solve the problem.  The output of this utiltiy:
http://www.ka9q.net/code/cpuid/cpuid-3.3.tar.gz
Would be helpful in determining what we need to change here.
Comment 4 Terry J Holt 2005-06-27 17:20:52 EDT
heyburn:/proc #11 cat /proc/version 
Linux version 2.4.21-4.ELsmp (bhcompile@daffy.perf.redhat.com) (gcc version 
3.2.3 20030502 (Red Hat Linux 3.2.3-20)) #1 SMP Fri Oct 3 17:52:56 EDT 2003

heyburn:/proc #12 uname -m
i686

Lines that match 'cache' in:
/usr/src/linux-2.4.21-4.EL/arch/x86_64/kernel/setup.c

static void __init display_cacheinfo(struct cpuinfo_x86 *c)
c->x86_cache_size=(ecx>>24)+(edx>>24)
c->x86_cache_size = ecx_2 >> 16

(not sure if I am providing you with the correct info. Pls. advise

Comment 5 Ernie Petrides 2005-06-27 17:54:50 EDT
Terry, I can't believe you're using a kernel released more than a year and
a half ago!  Please upgrade to a recent kernel and post your results.  I
believe the cache info stuff was added in U2 (and we've already released
U5 plus an E6 security erratum).

The latest released kernel version is 2.4.21-32.0.1.EL.  The associated RHN
advisory is RHSA-2005:472.

Thanks.  -ernie
Comment 6 Terry J Holt 2005-06-28 14:38:31 EDT
Yup, that did it.
Linux heyburn 2.4.21-32.0.1.ELsmp #1 SMP Tue May 17 17:52:23 EDT 2005 i686 i686 
i386 GNU/Linux

[tjh@heyburn tjh]# grep cache /proc/cpuinfo 
cache size      : 2048 KB

My apologies Ernie. I'm a bit of a novice at Linux (for the short time being). 
My background is 20yrs of UNIX (Solaris, SunOS, HPUX, BSD) so I am stumbling a 
bit to get up to speed here. I have old installations cd set apparently so will 
have to check about updates and the like each time I load one.
Many thanks for your help, guidance, & patience. I believe we can close this 
item.
Regards,
-'T.-
Comment 7 Ernie Petrides 2005-06-28 14:48:28 EDT
No problem, Terry.  One of the key values of Red Hat's service is RHN
(Red Hat Network), which allows you to automatically upgrade your systems.

I'll close this BZ appropriately.
Comment 8 Ernie Petrides 2005-06-28 14:55:06 EDT
A fix for this problem was committed to the RHEL3 U5 patch pool
on 3-Feb-2005 (in kernel version 2.4.21-27.11.EL).

This is really a dup of bug 145775, but I'm not closing this as a
DUP because that other one has restricted access.


Following is the Errata System message that accompanied the release
of U5 (although the latest RHEL3 kernel advisory is now RHSA-2005:472):

"An advisory has been issued which should help the problem
 described in this bug report. This report is therefore being
 closed with a resolution of ERRATA. For more information
 on the solution and/or where to find the updated files,
 please follow the link below. You may reopen this bug report
 if the solution does not work for you.

 http://rhn.redhat.com/errata/RHSA-2005-294.html"

Note You need to log in before you can comment on or make changes to this bug.